Bug 19648 - Repeated positions and some options missing in cataloguing plugin 007 (XML file)
Summary: Repeated positions and some options missing in cataloguing plugin 007 (XML file)
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: MARC Bibliographic data support (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Katrin Fischer
QA Contact: Marcel de Rooy
URL: koha-tmpl/intranet-tmpl/prog/en/data/...
Keywords:
Depends on:
Blocks:
 
Reported: 2017-11-17 21:02 UTC by Héctor Eduardo Castro Avalos
Modified: 2019-10-14 20:02 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.05.00, 18.11.05


Attachments
Bug 19648: Revise marc21_field_007.xml (28.05 KB, patch)
2019-02-10 01:46 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 19648: Revise marc21_field_007.xml (28.11 KB, patch)
2019-04-09 06:39 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 19648: Revise marc21_field_007.xml (28.21 KB, patch)
2019-04-12 08:21 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Héctor Eduardo Castro Avalos 2017-11-17 21:02:57 UTC
Found when translating. Some positions are repeated or duplicated from position 03 to 06 for sound recording in field 007 in XML file starting in line 997 to 1000.

<https://github.com/Koha-Community/Koha/blob/master/koha-tmpl/intranet-tmpl/prog/en/data/marc21_field_007.xml>

      <Value code="s"><description>2 3/4 x 4 in.</description></Value>
      <Value code="u"><description>Unknown</description></Value>
      <Value code="z"><description>Other</description></Value>
      <Value code="|"><description>No attempt to code</description></Value>
=>    <Value code="r"><description>30 ips (tape)</description></Value>
=>    <Value code="u"><description>Unknown</description></Value>
=>    <Value code="z"><description>Other</description></Value>
=>    <Value code="|"><description>No attempt to code</description></Value>
Comment 1 Héctor Eduardo Castro Avalos 2017-11-17 21:22:31 UTC
All XML file needs to be revised, more repeated lines are found:

Line 489 need to be deleted
489  <Value code="Used for microopaques."><description>No attempt to code </description></Value>

Motion pictures (Pos 13)
746   <Value code="u"><description>Unknown</description></Value>
747   <Value code="v"><description>Hand colored</description></Value>
748   <Value code="z"><description>Other</description></Value>
749   <Value code="|"><description>No attempt to code </description></Value>
750   <Value code="u"><description>Unknown</description></Value>
751   <Value code="z"><description>Other</description></Value>
752   <Value code="|"><description>No attempt to code</description></Value>

Sound recording (Pos 09)
1035  <Value code="z"><description>Other</description></Value>
1036  <Value code="|"><description>No attempt to code</description></Value>
1037  <Value code="z"><description>Other</description></Value>
1038  <Value code="|"><description>No attempt to code</description></Value>
Comment 2 Katrin Fischer 2019-02-10 01:46:26 UTC
Created attachment 84943 [details] [review]
Bug 19648: Revise marc21_field_007.xml

- Removes some doubled up entries
- Fixes some whitespace issues
- Adds some missing entries, for example:
    007, nonprojected graphic, secondary support material a-c

To test:
  - Verify that the 007 cataloging plugin works correctly and
    matches standard:
    http://www.loc.gov/marc/bibliographic/bd007k.html
Comment 3 Martin Renvoize 2019-04-09 06:39:26 UTC
Created attachment 87578 [details] [review]
Bug 19648: Revise marc21_field_007.xml

- Removes some doubled up entries
- Fixes some whitespace issues
- Adds some missing entries, for example:
    007, nonprojected graphic, secondary support material a-c

To test:
  - Verify that the 007 cataloging plugin works correctly and
    matches standard:
    http://www.loc.gov/marc/bibliographic/bd007k.html

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 4 Martin Renvoize 2019-04-09 06:39:48 UTC
Works as expected, thanks for the patch Katrin.  Signing off
Comment 5 Marcel de Rooy 2019-04-12 08:21:10 UTC
Created attachment 87849 [details] [review]
Bug 19648: Revise marc21_field_007.xml

- Removes some doubled up entries
- Fixes some whitespace issues
- Adds some missing entries, for example:
    007, nonprojected graphic, secondary support material a-c

To test:
  - Verify that the 007 cataloging plugin works correctly and
    matches standard:
    http://www.loc.gov/marc/bibliographic/bd007k.html

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 6 Nick Clemens 2019-04-12 11:49:31 UTC
Awesome work all!

Pushed to master for 19.05
Comment 7 Martin Renvoize 2019-04-25 13:09:48 UTC
Pushed to 18.11.x for 18.11.05
Comment 8 Lucas Gass 2019-04-25 14:51:00 UTC
deciding not to backport this one to the 18.05.x series.